Loading...
Searching...
No Matches
caf::upstream_msg::ack_batch Struct Reference

Cumulatively acknowledges received batches and signalizes new demand from a sink to its source. More...

`#include <upstream_msg.hpp>`

## Public Types

using | outer_type = upstream_msg
| Allows the testing DSL to unbox this type automagically.

## Public Attributes

int32_t | new_capacity
| Newly available credit.
int32_t | desired_batch_size
| Desired size of individual batches for the next cycle.
int64_t | acknowledged_id
| Cumulative ack ID.
int32_t | max_capacity
| Maximum capacity on this path.

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, upstream_msg::ack_batch &x)

## Detailed Description

Cumulatively acknowledges received batches and signalizes new demand from a sink to its source.

## Member Data Documentation

## max_capacity

int32_t caf::upstream_msg::ack_batch::max_capacity

Maximum capacity on this path.

Stages can consider this metric for downstream actors when calculating their own maximum capactiy.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/upstream_msg.hpp